import Layout from '../views/Index'

export const routes = [
	{
		path: '/',
		component: Layout,
		redirect: '/home',
		children: [
			{
				path: '/home',
				name: 'home',
				component: () => import('../views/home/home')
			},
			{
				path: '/notice',
				name: 'notice',
				component: () => import('../views/Notice/notice')
			},
			{
				path: '/mapIndex',
				name: 'mapIndex',
				component: () => import('../views/map/Map')
			},
			{
				path: '/my',
				name: 'my',
				component: () => import('../views/my/my')
			},
		]
	},
	// 日常任务
	{
		path: '/dailyMissionList',
		name: 'dailyMissionList', // 日常任务列表
		component: () => import('../views/dailyMission/dailyMissionList'),
		// meta: {
		// 	keepAlive: true
		// }
	},
	{
		path: '/dailyDetails/:ID/:objId',
		name: 'dailyDetails', // 日常任务详情
		// meta: {
		// 	keepAlive: true
		// },
		component: () => import('../views/dailyMission/dailyDetails')
	},
	{
		path: '/dailyItemSearch/:ID/:objId',
		name: 'dailyItemSearch', // 日常任务详情
		meta: {
			keepAlive: true
		},
		component: () => import('../views/task/searchTask')
	},
	{
		path: '/sendTxt',
		name: 'sendTxt', // 日常任务详情
		component: () => import('../views/task/sendTxt')
	},
	{
		path: '/dailyDetailsFinish/:ID',
		name: 'dailyDetailsFinish', // 日常任务详情
		component: () => import('../views/dailyMission/dailyDetailsFinish')
	},
	{
		path: '/dailyDetailsView/:ID',
		name: 'dailyDetailsView', // 日常任务详情查看
		component: () => import('../views/dailyMission/dailyDetailsView')
	},
	{
		path: '/executeTask/:ID/:objId',
		name: 'executeTask', // 执行日常任务
		component: () => import('../views/dailyMission/executeTask')
	},
	{
		path: '/executeTask/add/:ID/:objId/:itemId?',
		name: 'executeTaskAdd', // 执行日常任务
		// meta: { keepAlive: true },
		component: () => import('../views/dailyMission/executeTaskAdd')
	},
	{
		path: '/dailyPicTxt',
		name: 'dailyPicTxt', // 执行日常任务
		component: () => import('../views/dailyMission/dailyPicTxt')
	},
	{
		path: '/companyInfo/:ID',
		name: 'companyInfo', // 单位信息
		// meta: { keepAlive: true },
		component: () => import('../views/task/companyInfo')
	},
	{
		path: '/companyEdit/:ID',
		name: 'companyEdit', // 单位信息
		meta: { keepAlive: true },
		component: () => import('../views/task/companyEdit')
	},
	{
		path: '/history/:ID/:isItem?',
		name: 'historyItems', // 单位信息
		// meta: { keepAlive: true },
		component: () => import('../views/task/history')
	},
	{
		path: '/historyItemDetail',
		name: 'historyItemDetail', // 单位信息
		component: () => import('../views/task/itemDetail')
	},
	{
		path: '/personnelInfo/:ID',
		name: 'personnelInfo', // 单位人员信息
		component: () => import('../views/dailyMission/personnelInfo')
	},
	{
		path: '/fileDetail/:ID',
		name: 'fileDetail', // 文件详情
		component: () => import('../views/dailyMission/fileDetail')
	},
	{
		path: '/checkPersonnelInfo/:ID',
		name: 'checkPersonnelInfo', // 检查人员信息
		component: () => import('../views/dailyMission/checkPersonnelInfo')
	},
	{
		path: '/missionInfoDetail/:ID',
		name: 'missionInfoDetail', // 任务信息更多
		component: () => import('../views/dailyMission/missionInfoDetail')
	},
	{
		path: '/sureProcess/:ID/:id?', // 检查流程选择
		name: 'sureProcess', //
		component: () => import('../views/dailyMission/sureProcess')
	},
	{
		path: '/editProcess', // 检查流程选择
		name: 'editProcess', //
		component: () => import('../views/dailyMission/editProcess')
	},
	{
		path: '/editMsg/:ID?',
		name: 'editMsg', // 编辑信息
		component: () => import('../views/dailyMission/editMsg')
	},
	{
		path: '/msgDetail/:taskId/:ID',
		name: 'msgDetail', // 通知详情
		component: () => import('../views/dailyMission/msgDetail')
	},
	{
		path:'/newHiddenDanger/:ID',
		name:'newHiddenDanger',
		component: () => import('../views/dailyMission/newHiddenDanger.vue')
	},
	{
		path: '/hiddenDanger/:ID/:taskId',
		name: 'hiddenDanger', // 近期隐患 历史隐患
		component: () => import('../views/dailyMission/hiddenDanger')
	},
	{
		path: '/dangerDetail/:ID/:taskId?/:index?/:isReview?',
		name: 'dangerDetail', // 隐患详情
		component: () => import('../views/dailyMission/dangerDetail')
	},
	{
		path: '/funExplain/:ID/:itemID',
		name: 'funExplain', // 检查方法说明
		component: () => import('../views/dailyMission/funExplain')
	},
	{
		path: '/checkStandardExplain/:ID',
		name: 'checkStandardExplain', // 检查步骤说明
		component: () => import('../views/dailyMission/checkStandardExplain')
	},
	{
		path: '/commonQes/:ID/:itemID',
		name: 'commonQes', // 常见问题
		component: () => import('../views/dailyMission/commonQes')
	},
	{
		path: '/checkProcess/:ID/:currentID',
		name: 'checkProcess', // 动线检查流程
		component: () => import('../views/dailyMission/checkProcess'),
		meta: {
			keepAlive: true
		}
	},
	{
		path: '/checkRecord/:currentID',
		name: 'checkRecord', // 检查记录
		meta: { keepAlive: true },
		// component: () => import('../views/dailyMission/checkRecordNew')
		component: () => import('../views/task/recordInfo.vue')
	},
	{
		path: '/checkResult/:ID/:currentID/:status?',
		name: 'checkResult', // 检查结果
		component: () => import('../views/dailyMission/checkResult')
	},
	{
		path: '/review/:ID/:taskId',
		name: 'review', // 复查
		component: () => import('../views/dailyMission/review')
	},
	{
		path: '/addCheck/:taskId/:itemId/:content?',
		name: 'addCheck', // 新增检查
		component: () => import('../views/dailyMission/addCheck')
	},
	// 举报检查
	{
		path: '/reportList',
		name: 'reportList', // 举报检查
		component: () => import('../views/reportCheck/reportList')
	},
	{
		path: '/reportListDetail/:ID',
		name: 'reportListDetail', // 举报检查详情
		component: () => import('../views/reportCheck/reportListDetail')
	},
	{
		path: '/reportJobObjDetail/:id',
		name: 'reportJobObjDetail', // 单位详情详情
		component: () => import('../views/reportCheck/enforceObjInfo')
	},
	// 举报检查 历史隐患界面
	{
		path: '/reportJobHistoryNotPass/:id',
		name: 'reportJobHistoryNotPass',
		component: () => import('../views/reportCheck/historyNotPass')
	},
	// 举报检查 历史隐患界面
	{
		path: '/reportJobHistoryNotPassDetail/:id',
		name: 'reportJobHistoryNotPassDetail',
		component: () => import('../views/reportCheck/historyNotPassDetail')
	},
	{
		path: '/reportJobEnforeCheckMember',
		name: 'reportJobEnforeCheckMember', // 单位详情详情
		component: () => import('../views/reportCheck/checkMember')
	},
	{
		path: '/reportJobMonitorCheckRecord/:id',
		props: true,
		name: 'reportJobMonitorCheckRecord', // 单位详情详情
		component: () => import('../views/reportCheck/monitorCheckRecord')
	},
	// 举报任务 检查总结
	{
		path: '/reportJobCheckSummery/:id',
		name: 'reportJobCheckSummery', // 单位详情详情
		component: () => import('../views/reportCheck/checksummary')
	},
	// 举报任务 立即更改
	{
		path: '/optimizeReportImmediately/:id',
		name: 'optimizeReportImmediately', // 单位详情详情
		component: () => import('../views/reportCheck/optimizeImmediately')
	},
	// 举报任务责令更改通知界面
	{
		path: '/reportJobOptimizeNotice/:id',
		name: 'reportJobOptimizeNotice', // 单位详情详情
		component: () => import('../views/reportCheck/optimizeNotice')
	},
	// 举报任务检查记录界面
	{
		path: '/reportCheckRecord/:id',
		name: 'reportCheckRecord',
		component: () => import('../views/reportCheck/checkRecord')
	},
	// 举报任务责令更改通知界面 下发后显示二维码界面
	{
		path: '/reportJobOptimizeNoticeQrcode',
		name: 'reportJobOptimizeNoticeQrcode',
		component: () => import('../views/reportCheck/qrcode')
	},
	{
		// 执行举报检查
		path: '/executeReportJob/:ID',
		name: 'executeReportJob',
		component: () => import('../views/reportCheck/excuteJob')
	},
	{
		path: '/reviewRecord/:ID/:taskId/:status',
		name: 'reviewRecord', // 监督检查记录
		component: () => import('../views/dailyMission/reviewRecord')
	},
	{
		path: '/reportCheckResult/:ID/:taskId',
		name: 'reportCheckResult', // 举报检查 检查结果
		component: () => import('../views/reportCheck/checkResult')
	},
	{
		path: '/checkResultDetail/:ID/:taskId/:status',
		name: 'checkResultDetail', // 举报检查 检查结果详情
		component: () => import('../views/dailyMission/checkResultDetail')
	},
	{
		path: '/correctImmediately/:currentID/:status?',
		name: 'correctImmediately', // 举报检查 责令立即改正
		component: () => import('../views/dailyMission/correctImmediately')
	},
	{
		path: '/correctDeadline/:currentID/:status?',
		name: 'correctDeadline', // 举报检查 责令立即改正
		component: () => import('../views/dailyMission/correctDeadline')
	},
	{
		path: '/correctionNotice/:currentID',
		name: 'correctionNotice', //  责令改正通知
		component: () => import('../views/dailyMission/correctionNotice')

	},
	// 其他任务
	{
		path: '/otherList',
		name: 'otherList',
		component: () => import('../views/otherMission/otherMissionList')
	},
	{
		path: '/otherAdd',
		name: 'otherAdd',
		meta: { keepAlive: true },
		component: () => import('../views/otherMission/otherAdd')
	},
	// 其他任务详情
	{
		path: '/otherListDetail/:ID',
		name: 'otherListDetail',
		component: () => import('../views/otherMission/otherMissionDetail')
	},
	// 其他任务 单位信息
	{
		path: '/otherMissionObjInfo/:id',
		name: 'otherMissionObjInfo',
		component: () => import('../views/otherMission/enforceObjInfo')
	},
	// 其他任务 历史隐患界面
	{
		path: '/otherMissionHistoryNotPass/:id',
		name: 'otherMissionHistoryNotPass',
		component: () => import('../views/otherMission/historyNotPass')
	},
	// 其他任务 历史隐患界面
	{
		path: '/otherMissionHistoryNotPassDetail/:id',
		name: 'otherMissionHistoryNotPassDetail',
		component: () => import('../views/otherMission/historyNotPassDetail')
	},
	// 其他任务 人员信息
	{
		path: '/otherMissionCheckMemberInfo',
		name: 'otherMissionCheckMemberInfo',
		component: () => import('../views/otherMission/checkMember')
	},
	// 其他任务 任务执行
	{
		path: '/otherMissionExcuteJob',
		name: 'otherMissionExcuteJob',
		component: () => import('../views/otherMission/excuteJob')
	},
	// 其他任务 监督检查记录
	{
		path: '/otherMissionMonitorCheckRecord/:id',
		name: 'otherMissionMonitorCheckRecord',
		component: () => import('../views/otherMission/monitorCheckRecord')
	},
	// 其他任务 检查总结
	{
		path: '/otherMissionCheckSummery/:id',
		name: 'otherMissionCheckSummery',
		component: () => import('../views/otherMission/checksummary')
	},
	// 其他任务 改正通知界面
	{
		path: '/otherMissionOptimizeNotice/:id',
		name: 'otherMissionOptimizeNotice',
		component: () => import('../views/otherMission/optimizeNotice')
	},
	// 其他任务 改正通知二维码界面
	{
		path: '/otherMissionOptimizeNoticeQrcode',
		name: 'otherMissionOptimizeNoticeQrcode',
		component: () => import('../views/otherMission/qrcode')
	},
	// 其他任务 检查记录
	{
		path: '/otherMissionCheckRecord/:id',
		name: 'otherMissionCheckRecord',
		component: () => import('../views/otherMission/checkRecord')
	},


	{
		path: '/missionExplain/:taskId',
		name: 'missionExplain', // 举报检查 责令立即改正
		component: () => import('../views/otherMission/missionExplain')
	},
	// 违法占道
	{
		path: '/carList/add',
		name: 'addIllegal', // 新增违章车辆
		meta: { keepAlive: true },
		component: () => import('../views/illegal/add.vue')
	},
	{
		path: '/pickPlace',
		name: 'PickPlace', // 地图定位
		component: () => import('../components/gaodeMap.vue')
		// component: () => import('../components/map.vue')
	},
	{
		path: '/carList',
		name: 'carList', // 违章占道列表
		component: () => import('../views/illegal/index.vue')
	},
	{
		path: '/carList/detail/:id',
		name: 'roadDetails', // 违章占道详情
		component: () => import('../views/illegal/detail.vue')
	},
	{
		path: '/carList/message/:id/:type',
		name: 'roadDetailsMessage', // 违章占道短信详情
		component: () => import('../views/illegal/message.vue')
	},
	{
		path: '/carList/move/:id',
		name: 'roadDetailsMove', // 违章占道移离情况
		component: () => import('../views/illegal/move.vue')
	},
	{
		path: '/carList/file/:id/:type/:date',
		name: 'roadDetailsFile', // 违章占道文件详情
		component: () => import('../views/illegal/file.vue')
	},
	// 任务记录
	{
		path: '/missionRec',
		name: 'missionRec', // 任务记录
		component: () => import('../views/missionRecord/missionRec')
	},
	// 执法设备
	{
		path: '/deviceManage',
		name: 'deviceManage', // 设备管理
		component: () => import('../views/deviceManage/deviceManage')
	},
	// 执法音视频
	{
		path: '/lawAudioVideo',
		name: 'lawAudioVideo', // 执法音视频
		component: () => import('../views/lawAudioVideo/lawAudioVideo')
	},
	{
		path: '/lawDetail/:ID',
		name: 'lawDetail', // 音视频详情
		component: () => import('../views/lawAudioVideo/lawDetail')
	},
	// 专项检查
	{
		path: '/special',
		name: 'special',
		component: () => import('../views/special/special')
	},
	{
		path: '/task/detail/:ID/:objId',
		name: 'taskDetail',
		component: () => import('../views/task/taskDetails')
	},
  {
    path: '/task/nocheck/:ID/:objId',
    name: 'taskNoCheck',
    component: () => import('../views/task/taskNoCheck')
  },
	{
		path: '/special/exec/:ID',
		name: 'specialExec',
		meta: { keepAlive: true },
		component: () => import('../views/task/executeTask')
	},
	{
		path: '/special/exec/add/:ID/:objId',
		name: 'specialExecAdd',
		meta: { keepAlive: true },
		component: () => import('../views/task/executeTaskAdd')
	},
	{
		path: '/special/record/:ID',
		name: 'specialRecord',
		component: () => import('../views/special/checkRecord')
	},
	{
		path: '/taskPreview/:ID/:objId',
		name: 'taskPreview',
		component: () => import('../views/task/executeTaskPreview')
	},
	{
		path: '/simpleTask/:ID',
		name: 'simpleTask',
		component: () => import('../views/task/executeTaskSimple.vue')
	},
	{
		path: '/simpleTaskPreview/:ID',
		name: 'simpleTaskPreview',
		component: () => import('../views/task/executeTaskSimplePreview.vue')
	},
	{
		path: '/simpleCheckRecord/:ID',
		name: 'simpleCheckRecord',
		component: () => import('../views/task/simpleCheckRecord.vue')
	},
	{
		path: '/simpleCheckResult/:ID',
		name: 'simpleCheckResult',
		component: () => import('../views/task/simpleCheckResult.vue')
	},
	{
		path: '/simpleCheckNotice/:ID/:type',
		name: 'simpleCheckNotice',
		component: () => import('../views/task/simpleCheckNotice.vue')
	},
	{
		path: '/town',
		name: 'town',
		component: () => import('../views/town/town')
	},
	{
		path: '/townAdd',
		name: 'townAdd',
		meta: {
			keepAlive: true
		},
		component: () => import('../views/town/townAdd')
	},
	{
		path: '/chooseCompany',
		name: 'chooseCompany',
		component: () => import('../views/task/chooseCompany')
	},
	{
		path: '/town/detail/:ID',
		name: 'townDetail',
		component: () => import('../views/town/townDetail')
	},
	{
		path: '/town/exec/:ID',
		name: 'townExecute',
		component: () => import('../views/town/townExecute')
	},
	{
		path: '/town/record/:ID',
		name: 'townRecord',
		component: () => import('../views/town/townRecord')
	},
	{
		path: '/town/check/:ID',
		name: 'townCheck',
		component: () => import('../views/town/townCheck')
	},
	{
		path: '/town/scan/:ID',
		name: 'townScan',
		component: () => import('../views/town/townScanRecord')
	},
	// 审批
	{
		path: '/approve',
		name: 'approve',
		component: () => import('../views/approve/approve')
	},
	{
		path: '/approveDetail/:ID',
		name: 'approveDetail',
		component: () => import('../views/approve/approveDetail')
	},
	// 地图
	{
		path: '/mapDetails/:myLocation/:destination/:description',
		name: 'mapDetails',
		component: () => import('../views/map/mapDetails')
	},
	{
		path: '/login',
		name: 'login',
		component: () => import('../views/login/login')
	},
	{
		path: '/my/edit',
		name: 'myEdit',
		component: () => import('../views/my/edit')
	},
	{
		path: '/my/account',
		name: 'myAccount',
		component: () => import('../views/my/account')
	},
	{
		path: '/my/password',
		name: 'myPassword',
		component: () => import('../views/my/password')
	},
	{
		path: '/my/oldPwd',
		name: 'oldPassword',
		component: () => import('../views/my/oldPassword.vue')
	},
	{
		path: '/pdf',
		name: 'pdf',
		component: () => import('../views/task/pdfPreview')
	},
]
